# Uses of Class
org.codehaus.janino.Java.AlternateConstructorInvocation

Packages that use Java.AlternateConstructorInvocation
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.AlternateConstructorInvocation in org.codehaus.janino

Methods in org.codehaus.janino with parameters of type Java.AlternateConstructorInvocation
Modifier and Type
Method
Description
`R`
Visitor.BlockStatementVisitor.`visitAlternateConstructorInvocation(Java.AlternateConstructorInvocation aci)`
Invoked by `accept(Visitor.BlockStatementVisitor)`
`R`
Visitor.ConstructorInvocationVisitor.`visitAlternateConstructorInvocation(Java.AlternateConstructorInvocation aci)`
Invoked by `Java.MarkerAnnotation.accept(Visitor.AnnotationVisitor)`

## Uses of Java.AlternateConstructorInvocation in org.codehaus.janino.util

Methods in org.codehaus.janino.util with parameters of type Java.AlternateConstructorInvocation
Modifier and Type
Method
Description
`Java.ConstructorInvocation`
DeepCopier.`copyAlternateConstructorInvocation(Java.AlternateConstructorInvocation subject)`
`void`
AbstractTraverser.`traverseAlternateConstructorInvocation(Java.AlternateConstructorInvocation aci)`
`void`
Traverser.`traverseAlternateConstructorInvocation(Java.AlternateConstructorInvocation aci)`